﻿using AutoMapper;
using System;
using System.Collections.Generic;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.DataLayer.Entities;

namespace Tsi1.BusinessLayer.Helpers
{
    public class MappingProfile : Profile
    {
        public MappingProfile()
        {
            CreateMap<Forum, ForumCreateDto>();
            CreateMap<Forum, ForumPreviewDto>();
            CreateMap<Post, PostCreateDto>();
            CreateMap<Post, PostPreviewDto>();
            CreateMap<PostMessage, PostMessageCreateDto>();
            CreateMap<PostMessage, PostMessagePreviewDto>();
            CreateMap<Message, MessagePreviewDto>();
            CreateMap<Message, MessageCreateDto>();
            CreateMap<User, UserPreviewDto>();
            CreateMap<User, UserRegisterDto>();

            CreateMap<ForumCreateDto, Forum>();
            CreateMap<ForumPreviewDto, Forum>();
            CreateMap<PostCreateDto, Post>();
            CreateMap<PostPreviewDto, Post>();
            CreateMap<PostMessageCreateDto, PostMessage>();
            CreateMap<PostMessagePreviewDto, PostMessage>();
            CreateMap<MessagePreviewDto, Message>();
            CreateMap<MessageCreateDto, Message>();
            CreateMap<UserPreviewDto, User>();
            CreateMap<UserRegisterDto, User>();
        }
    }
}
